---
title: "Integration"
source: /de/gcxone/api/integration
locale: de
updated: 2026-09-04
---
Operationen für Integrationsressourcen. 6 Endpunkte, jeweils relativ zu `https://api.nxgen.cloud/api/v1` und authentifiziert wie unter [Authentifizierung](/gcxone/api/authentication).

## POST /integration

Eine neue Integration auf einer bestimmten Hierarchieebene hinzufügen

### Anfragekörper

Integration hinzufügen

```json
{
  "name": "string (required)",
  "isActive": "boolean",
  "type": "string",
  "description": "string",
  "internalProxy": "string",
  "externalProxy": "string",
  "vpnProxy": "string",
  "protocolType": "string",
  "userName": "string",
  "password": "string",
  "accessToken": "string",
  "externalEndpoint": "string",
  "accessLevel": "string (required)",
  "entityId": "string (required)",
  "integrationInput": "object",
  "integrationOutput": "object"
}
```

### Antworten

| Status | Beschreibung | Inhalt |
| --- | --- | --- |
| 200 | Erfolg |  |
| 400 | Ungültige Eingabe |  |
| 401 | Nicht autorisiert |  |
| 403 | Verboten |  |

Beispiel `200` Antwort:

```json
{
  "result": true
}
```

## POST /integration/filter

Ruft die Integrationsliste mit Filterung, Sortierung und Paginierung ab. Es ermöglicht die Suche nach Hierarchieebenen. Sie kann anhand einer angegebenen Hierarchie gefiltert werden oder verwendet die Hierarchie des angemeldeten Benutzers. Dadurch besteht die Möglichkeit, zusätzliche Entitätsfelder in der Antwort zu erhalten. Außerdem werden Konfigurations‑Metadaten zur Entität bereitgestellt.

### Anfragekörper

Integration filtern und sortieren

```json
{
  "filters": [
    {
      "columnName": "string (required)",
      "type": "distinctList | date | number | StringConditionFilter (required)",
      "filter": "object (required)"
    }
  ],
  "sortOrder": [
    {
      "columnName": "string",
      "isAscending": "boolean"
    }
  ],
  "primaryColumns": [
    "string"
  ],
  "hierarchyLevel": "string",
  "hierarchyId": "string",
  "nPerPage": "number",
  "pageNumber": "number",
  "isConfigDetailRequired": "boolean",
  "getConfig": "boolean",
  "getChildOrParent": "boolean"
}
```

### Antworten

| Status | Beschreibung | Inhalt |
| --- | --- | --- |
| 200 | Erfolg | Objekt |
| 204 | Kein Inhalt |  |
| 400 | Ungültige Eingabe |  |
| 401 | Nicht autorisiert |  |
| 403 | Verboten |  |

Beispiel `200` Antwort:

```json
{
  "dataResult": [
    {
      "uniqueId": "644745a2be7af43fac26788f",
      "accessLevel": "serviceprovider",
      "isActive": true,
      "name": "Webhook For DEV",
      "description": "desc"
    },
    {
      "uniqueId": "6447481dbe7af43fac267891",
      "accessLevel": "serviceprovider",
      "isActive": true,
      "name": "DC09 For DEV"
    },
    {
      "uniqueId": "644748ecbe7af43fac267892",
      "accessLevel": "serviceprovider",
      "isActive": true,
      "name": "External Integration Test"
    }
  ],
  "totalRecordsCount": 3
}
```

## GET /integration?id={id}&isTemplates={isTemplates}

Integration nach ID abrufen

### Parameter

| Name | Im | Typ | Erforderlich | Beschreibung |
| --- | --- | --- | --- | --- |
| id | Abfrage | Zeichenkette | nein |  |
| isTemplates | Abfrage | Zeichenkette | nein |  |

### Antworten

| Status | Beschreibung | Inhalt |
| --- | --- | --- |
| 200 | Erfolg |  |
| 400 | Ungültige Eingabe |  |
| 401 | Nicht autorisiert |  |
| 403 | Verboten |  |
| 404 | Nicht gefunden |  |

Beispiel `200` Antwort:

```json
{
  "data": {
    "_id": "62ea2a8328c7c9",
    "uniqueId": "afd49a39338dc",
    "accessLevel": "site",
    "createdBy": "developer-1@dev.de",
    "createdOn": 1659513475763,
    "modifiedBy": "developer-1@dev.de",
    "modifiedOn": 1659514047995,
    "name": "External Integration",
    "description": "desc",
    "internalProxy": "",
    "externalProxy": "",
    "vpnProxy": "",
    "protocolType": "",
    "userName": "",
    "password": "",
    "accessToken": "",
    "externalEndpoint": "",
    "parentAccountId": "23424-324-3424",
    "integrationInput": {},
    "integrationOutput": {},
    "serviceProviderId": "",
    "customerId": "",
    "siteId": ""
  }
}
```

## PUT /integration?id={id}&isTemplates={isTemplates}

Vorhandene Integration aktualisieren

### Parameter

| Name | In | Typ | Erforderlich | Beschreibung |
| --- | --- | --- | --- | --- |
| id | path | string | ja |  |

### Anfrage‑Body

Zur Aktualisierung der Integration die vorhandene Id angeben

```json
{
  "name": "string",
  "isActive": "boolean",
  "type": "string",
  "description": "string",
  "internalProxy": "string",
  "externalProxy": "string",
  "vpnProxy": "string",
  "protocolType": "string",
  "userName": "string",
  "password": "string",
  "accessToken": "string",
  "externalEndpoint": "string",
  "integrationInput": "object",
  "integrationOutput": "object"
}
```

### Antworten

| Status | Beschreibung | Body |
| --- | --- | --- |
| 200 | Erfolg |  |
| 400 | Ungültige Eingabe |  |
| 401 | Unautorisiert |  |
| 403 | Verboten |  |
| 404 | Nicht gefunden |  |

Beispiel `200` Antwort:

```json
{
  "isSuccess": true
}
```

## PATCH /integration?id={id}&isTemplates={isTemplates}

Patch zum Aktualisieren der Integration

### Parameter

| Name | In | Typ | Erforderlich | Beschreibung |
| --- | --- | --- | --- | --- |
| id | Pfad | Zeichenkette | ja |  |

### Anfrage-Body

Integration aktualisieren

```json
{
  "isActive": "boolean"
}
```

### Antworten

| Status | Beschreibung | Body |
| --- | --- | --- |
| 200 | Erfolg |  |
| 401 | Nicht autorisiert |  |
| 403 | Verboten |  |
| 404 | Nicht gefunden |  |

Beispiel `200` Antwort:

```json
{
  "isSuccess": true
}
```

## DELETE /integration?id={id}&isTemplates={isTemplates}

Integration nach ID löschen

### Parameter

| Name | In | Typ | Erforderlich | Beschreibung |
| --- | --- | --- | --- | --- |
| ID | Pfad | Zeichenkette | ja |  |

### Antworten

| Status | Beschreibung | Body |
| --- | --- | --- |
| 200 | Erfolg |  |
| 401 | Nicht autorisiert |  |
| 403 | Verboten |  |
| 404 | Nicht gefunden |  |

Beispiel`200`Antwort:

```json
{
  "isSuccess": true
}
```